## org.eclipse.jst.jsf.context.symbol.source
Class AbstractSymbolSourceProviderFactory

    java.lang.Object
      org.eclipse.jst.jsf.context.symbol.source.AbstractSymbolSourceProviderFactory

All Implemented Interfaces:
  ISymbolSourceProviderFactory

    public abstract class AbstractSymbolSourceProviderFactory

extends java.lang.Object
implements ISymbolSourceProviderFactory

Default implementation of ISymbolSourceProviderFactory. Implementors may sub-class or create their own separate factory class.

Provisional API - subject to change

Constructor Summary
`AbstractSymbolSourceProviderFactory()` Default constructor used by extension manager to create this factory

Method Summary
`ISymbolSourceProvider` `createInstance(IProject project)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSymbolSourceProviderFactory

    public AbstractSymbolSourceProviderFactory()

  Default constructor used by extension manager to create this factory

Method Detail

### createInstance

    public final ISymbolSourceProvider createInstance(IProject project)

  Specified by:
    `createInstance` in interface `ISymbolSourceProviderFactory`
  Returns:
    a new instance of a symbol source provider for project